org.optaplanner.core.impl.score.stream.penta

## Class SinglePentaJoiner<A,B,C,D,E>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.penta.AbstractPentaJoiner<A,B,C,D,E>
    - - org.optaplanner.core.impl.score.stream.penta.SinglePentaJoiner<A,B,C,D,E>

- All Implemented Interfaces:
    PentaJoiner<A,B,C,D,E>

      public final class SinglePentaJoiner<A,B,C,D,E>
      extends AbstractPentaJoiner<A,B,C,D,E>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinglePentaJoiner(QuadFunction<A,B,C,D,?> leftMapping, JoinerType joinerType, Function<E,?> rightMapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JoinerType` | `getJoinerType()`
    `JoinerType[]` | `getJoinerTypes()`
    `QuadFunction<A,B,C,D,Object[]>` | `getLeftCombinedMapping()`
    `QuadFunction<A,B,C,D,Object>` | `getLeftMapping()`
    `QuadFunction<A,B,C,D,Object>` | `getLeftMapping(int index)`
    `Function<E,Object[]>` | `getRightCombinedMapping()`
    `Function<E,Object>` | `getRightMapping()`
    `Function<E,Object>` | `getRightMapping(int index)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.penta.AbstractPentaJoiner

      `getFilter, matches, merge`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractJoiner

      `assertMappingIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SinglePentaJoiner

          public SinglePentaJoiner(QuadFunction<A,B,C,D,?> leftMapping,
                                   JoinerType joinerType,
                                   Function<E,?> rightMapping)

  - ### Method Detail

    - #### getLeftMapping

          public QuadFunction<A,B,C,D,Object> getLeftMapping()

    - #### getJoinerType

          public JoinerType getJoinerType()

    - #### getRightMapping

          public Function<E,Object> getRightMapping()

    - #### getLeftMapping

          public QuadFunction<A,B,C,D,Object> getLeftMapping(int index)

      Specified by:
        `getLeftMapping` in class `AbstractPentaJoiner<A,B,C,D,E>`

    - #### getLeftCombinedMapping

          public QuadFunction<A,B,C,D,Object[]> getLeftCombinedMapping()

      Specified by:
        `getLeftCombinedMapping` in class `AbstractPentaJoiner<A,B,C,D,E>`

    - #### getJoinerTypes

          public JoinerType[] getJoinerTypes()

      Specified by:
        `getJoinerTypes` in class `AbstractJoiner`

    - #### getRightMapping

          public Function<E,Object> getRightMapping(int index)

      Specified by:
        `getRightMapping` in class `AbstractPentaJoiner<A,B,C,D,E>`

    - #### getRightCombinedMapping

          public Function<E,Object[]> getRightCombinedMapping()

      Specified by:
        `getRightCombinedMapping` in class `AbstractPentaJoiner<A,B,C,D,E>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.